%define upstream_name    Class-C3-Adopt-NEXT
%define upstream_version 0.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Make NEXT suck less
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(NEXT)
BuildRequires: perl(Test::Exception)
BuildArch: noarch


%description
the NEXT manpage was a good solution a few years ago, but isn't any more.
It's slow, and the order in which it re-dispatches methods appears random
at times. It also encourages bad programming practices, as you end up with
code to re-dispatch methods when all you really wanted to do was run some
code before or after a method fired.

However, if you have a large application, then weaning yourself off 'NEXT'
isn't easy.

This module is intended as a drop-in replacement for NEXT, supporting the
same interface, but using the Class::C3 manpage to do the hard work. You
can then write new code without 'NEXT', and migrate individual source files
to use 'Class::C3' or method modifiers as appropriate, at whatever pace
you're comfortable with.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-5.mga8
+ Revision: 1493520
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.140.0-4.mga7
+ Revision: 1266300
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.140.0-3.mga6
+ Revision: 1023881
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.140.0-2.mga6
+ Revision: 968012
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.140.0-1.mga6
+ Revision: 851031
- update to 0.14

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-5.mga5
+ Revision: 750967
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 683889
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.130.0-3.mga4
+ Revision: 509931
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 364286
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 25896
- mageia rebuild
- imported package perl-Class-C3-Adopt-NEXT

